Subject: Re: Astronomy Review

From: [email-masked] (Hans-Martin Adorf)
Date: Thu, 13 Apr 1995 09:35:22 +0200

>I've been having trouble locating a clear, concise review of basic concepts
>in astronomy.  Id like to find an education page that is easy to use and
>that covers all basic concepts.  Please send any suggestions to the
>attention of  Robert Baiocchi, at the above address.

Have a look at "The Macmillan Dictionary of Astronomy", by Valerie
Illingworth, Macmillan Reference Books. Also the Institute of Astronomy (or
the Royal Greenwich Observatory, can't remember) at Cambridge is offering
some good introductory pages on specific topics.

Asking for something "that covers all basic concepts" is too much for the
moment, I believe.

Hans-Martin Adorf